# ZFS Automatic Snapshot Daemon

This is a daemon, written in Python 3, that will schedule regular
snaphots of ZFS datasets (pools, filsystems) according to a set of
configurable schedules. Options for interval and crontab-style
schedules are available.

The daemon only includes an installer for macOS at the moment,
but a multi-platform installer is coming soon.

As of now, snapshots are conditional. A snapshot will only be taken
if a dataset has been modified since the last snapshot. An option
to turn this off per schedule is coming soon.

The daemon should not interfere with other snapshots you have
on the system, unless you give them names that adhere to the
`dataset@tag:serial` syntax `zasd` uses, and the `tag` parts
happen to match of the tags in `zasd.conf.py`. If you're already
using similar syntax for something else, you may need to change
the `separator` setting in `zasd.conf.py`.

**DISCLAIMER:** This program is still in beta. Use at your own
risk. It works fine on my system, but your mileage may vary.